package cn.ysk.cashier.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;

/**
 * 店铺员工权限关联表(TbShopStaffPermission)表实体类
 *
 * @author makejava
 * @since 2024-09-14 10:54:00
 */
@SuppressWarnings("serial")
public class TbShopStaffPermission extends Model<TbShopStaffPermission> {

    private Integer id;
    //权限ID
    private Integer permissionId;
    //员工ID
    private Integer staffId;
    //店铺ID
    private Integer shopId;
    //用户ID
    private Integer userId;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getPermissionId() {
        return permissionId;
    }

    public void setPermissionId(Integer permissionId) {
        this.permissionId = permissionId;
    }

    public Integer getStaffId() {
        return staffId;
    }

    public void setStaffId(Integer staffId) {
        this.staffId = staffId;
    }

    public Integer getShopId() {
        return shopId;
    }

    public void setShopId(Integer shopId) {
        this.shopId = shopId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }
}

